#!/bin/sh

CONFIG=$APKG_PKG_DIR/etc/minidlna.conf
UNAME_N=`uname -n`
LANNAME=`confutil -get /etc/nas.conf Network DefaultGateway`
if [ "$LANNAME" == "auto" ]; then
	ETHNAME=`route -n | sed -n 3p | awk '{print $8}'`
else
	ETHNAME=`confutil -get /etc/nas.conf $LANNAME Name`
fi
# Check the status
case "$APKG_PKG_STATUS" in
	install)
		sed -i "s|^friendly_name.*|friendly_name = $UNAME_N|" $CONFIG
		sed -i "s|^network_interface.*|network_interface = $ETHNAME|" $CONFIG
		;;
	upgrade)
		# Restore the previous configuration.
		cp -raf $APKG_TEMP_DIR/etc $APKG_PKG_DIR
		;;
	*)
		;;
esac

exit 0
